#ifndef GAME_OBJECT_H
#define GAME_OBJECT_H

#include <stdbool.h>

/*
 * game object provides an interface for bridging between game code and engine.
 * for example, it might implement dynamic load libraries with hot reloading.
 */


void game_object_load(void);

void game_object_unload(void);

/* returns true if reload happened, otherwise false */
bool game_object_try_reloading(void);

void game_object_tick(void);


#endif
